Show / Hide Table of Contents

# Class OpenIddictServerEvents.ExtractConfigurationRequestContext

Represents an event called for each request to the configuration endpoint to give the user code a chance to manually extract the configuration request from the ambient HTTP context.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.ExtractConfigurationRequestContext

##### Inherited Members

OpenIddictServerEvents.BaseValidatingContext.IsRejected
OpenIddictServerEvents.BaseValidatingContext.Error
OpenIddictServerEvents.BaseValidatingContext.ErrorDescription
OpenIddictServerEvents.BaseValidatingContext.ErrorUri
OpenIddictServerEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ExtractConfigurationRequestContext : OpenIddictServerEvents.BaseValidatingContext

### Constructors

#### ExtractConfigurationRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.ExtractConfigurationRequestContext class.

##### Declaration

    public ExtractConfigurationRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Request

Gets or sets the request, or `null` if it wasn't extracted yet.

##### Declaration

    public OpenIddictRequest? Request { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<OpenIddictRequest> |